org.codehaus.plexus.lifecycle.phase

## Interface Phase

All Known Implementing Classes:
  AbstractPhase, AutoConfigurePhase, ConfigurablePhase, ContextualizePhase, DisposePhase, InitializePhase, LogDisablePhase, LogEnablePhase, ResumePhase, ServiceablePhase, StartPhase, StopPhase, SuspendPhase

    public interface Phase

### Method Summary

Methods
`void` `execute(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm realm)` Execute the phase.

### Method Detail

#### execute

    void execute(java.lang.Object component,
               ComponentManager manager,
               org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                 throws PhaseExecutionException

Execute the phase.

Throws:
  `PhaseExecutionException`